com.beaglebuddy.ape

## Class APEFlags

- java.lang.Object
- - com.beaglebuddy.ape.APEFlags

-     public class APEFlags
      extends java.lang.Object

  This class provides methods for reading the APE flags which are found in an `APE header`, `APE footer`, and in `APE item`. The APE flags, while present in APEv1, are all zero's and are not used. In APEv2, the flag bits were assigned meanings.

  See Also:
    APEv1 Specification, APEv2 Specification

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `APEFlags.Type` valid APE value types

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `APEFlags(byte[] bytes, int index)` constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `APEFlags.Type` | `getType()` gets the type of data.
    `boolean` | `isFooter()` gets whether this is the APE tag footer.
    `boolean` | `isHeader()` gets whether this is the APE tag header.
    `boolean` | `isReadOnly()` gets whether this tag or item is read only.
    `boolean` | `isTagContainsFooter()` gets whether the APE tag contains a footer.
    `boolean` | `isTagContainsHeader()` gets whether the APE tag contains a header.
    `java.lang.String` | `toString()` gets a string representation of the APE flags.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### APEFlags

          public APEFlags(byte[] bytes,
                  int index)

      constructor.
      Parameters:
        `bytes` - bytes from an APE tag.
        `index` - offset into the byte stream where the flag bytes are located.

  - ### Method Detail

    - #### isTagContainsHeader

          public boolean isTagContainsHeader()

      gets whether the APE tag contains a header.
      Returns:
        whether the APE tag contains a header.

    - #### isTagContainsFooter

          public boolean isTagContainsFooter()

      gets whether the APE tag contains a footer.
      Returns:
        whether the APE tag contains a footer.

    - #### isHeader

          public boolean isHeader()

      gets whether this is the APE tag header.
      Returns:
        whether this is the APE tag header.

    - #### isFooter

          public boolean isFooter()

      gets whether this is the APE tag footer.
      Returns:
        whether this is the APE tag footer.

    - #### getType

          public APEFlags.Type getType()

      gets the type of data.
      Returns:
        the type of data.

    - #### isReadOnly

          public boolean isReadOnly()

      gets whether this tag or item is read only.
      Returns:
        whether this tag or item is read only.

    - #### toString

          public java.lang.String toString()

      gets a string representation of the APE flags.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of the APE flags.